jif.types

## Class NamedLabel

- java.lang.Object
- - jif.types.NamedLabel

-     public class NamedLabel
      extends java.lang.Object

  A Jif label with names for the debuging use.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Label` | `label`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `nameToDescrip`
    `protected java.util.Map<java.lang.String,Label>` | `nameToLabels`
    `protected polyglot.util.Position` | `pos`
    `protected java.lang.String` | `totalName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedLabel()`
    `NamedLabel(polyglot.util.Position pos)`
    `NamedLabel(java.lang.String name, Label l)`
    `NamedLabel(java.lang.String name, java.lang.String descrip, Label l)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedLabel` | `join(LabelChecker lc, java.lang.String name, Label l)`
    `NamedLabel` | `join(LabelChecker lc, java.lang.String name, java.lang.String descrip, Label l)`
    `Label` | `label()`
    `Label` | `label(java.lang.String name)`
    `NamedLabel` | `meet(LabelChecker lc, java.lang.String name, Label l)`
    `NamedLabel` | `meet(LabelChecker lc, java.lang.String name, java.lang.String descrip, Label l)`
    `java.lang.String` | `name()`
    `polyglot.util.Position` | `position()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nameToLabels

          protected java.util.Map<java.lang.String,Label> nameToLabels

    - #### nameToDescrip

          protected java.util.Map<java.lang.String,java.lang.String> nameToDescrip

    - #### totalName

          protected java.lang.String totalName

    - #### label

          protected Label label

    - #### pos

          protected polyglot.util.Position pos

  - ### Constructor Detail

    - #### NamedLabel

          public NamedLabel()

    - #### NamedLabel

          public NamedLabel(java.lang.String name,
                            Label l)

    - #### NamedLabel

          public NamedLabel(java.lang.String name,
                            java.lang.String descrip,
                            Label l)

    - #### NamedLabel

          public NamedLabel(polyglot.util.Position pos)

  - ### Method Detail

    - #### position

          public polyglot.util.Position position()

    - #### join

          public NamedLabel join(LabelChecker lc,
                                 java.lang.String name,
                                 Label l)

    - #### join

          public NamedLabel join(LabelChecker lc,
                                 java.lang.String name,
                                 java.lang.String descrip,
                                 Label l)

    - #### meet

          public NamedLabel meet(LabelChecker lc,
                                 java.lang.String name,
                                 Label l)

    - #### meet

          public NamedLabel meet(LabelChecker lc,
                                 java.lang.String name,
                                 java.lang.String descrip,
                                 Label l)

    - #### label

          public Label label()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### label

          public Label label(java.lang.String name)

    - #### name

          public java.lang.String name()